xgboost

Public Types | Public Member Functions | List of all members
xgboost::common::ParallelGHistBuilder< GradientSumT > Class Template Reference

Stores temporary histograms to compute them in parallel Supports processing multiple tree-nodes for nested parallelism Able to reduce histograms across threads in efficient way. More...

`#include <hist_util.h>`

Collaboration diagram for xgboost::common::ParallelGHistBuilder< GradientSumT >:

## Public Types
using | GHistRowT = GHistRow< GradientSumT >

## Public Member Functions
void | Init (size_t nbins)
void | Reset (size_t nthreads, size_t nodes, const BlockedSpace2d &space, const std::vector< GHistRowT > &targeted_hists)
GHistRowT | GetInitializedHist (size_t tid, size_t nid)
void | ReduceHist (size_t nid, size_t begin, size_t end) const
void | MatchThreadsToNodes (const BlockedSpace2d &space)
void | AllocateAdditionalHistograms ()

## Detailed Description

### template<typename GradientSumT>
class xgboost::common::ParallelGHistBuilder< GradientSumT >

Stores temporary histograms to compute them in parallel Supports processing multiple tree-nodes for nested parallelism Able to reduce histograms across threads in efficient way.

## Member Typedef Documentation

## ◆ GHistRowT

template<typename GradientSumT >

using xgboost::common::ParallelGHistBuilder< GradientSumT >::GHistRowT = GHistRow<GradientSumT>

## Member Function Documentation

## ◆ AllocateAdditionalHistograms()

template<typename GradientSumT >

void xgboost::common::ParallelGHistBuilder< GradientSumT >::AllocateAdditionalHistograms | ( |  | ) |
| inline

## ◆ GetInitializedHist()

template<typename GradientSumT >

GHistRowT xgboost::common::ParallelGHistBuilder< GradientSumT >::GetInitializedHist | ( | size_t | tid,
|  | size_t | nid
| ) |  |
| inline

## ◆ Init()

template<typename GradientSumT >

void xgboost::common::ParallelGHistBuilder< GradientSumT >::Init | ( | size_t | nbins | ) |
| inline

## ◆ MatchThreadsToNodes()

template<typename GradientSumT >

void xgboost::common::ParallelGHistBuilder< GradientSumT >::MatchThreadsToNodes | ( | const BlockedSpace2d & | space | ) |
| inline

## ◆ ReduceHist()

template<typename GradientSumT >

void xgboost::common::ParallelGHistBuilder< GradientSumT >::ReduceHist | ( | size_t | nid,
|  | size_t | begin,
|  | size_t | end
| ) |  | const
| inline

## ◆ Reset()

template<typename GradientSumT >

void xgboost::common::ParallelGHistBuilder< GradientSumT >::Reset | ( | size_t | nthreads,
|  | size_t | nodes,
|  | const BlockedSpace2d & | space,
|  | const std::vector< GHistRowT > & | targeted_hists
| ) |  |
| inline

The documentation for this class was generated from the following file:

- /home/runner/work/xgboost/xgboost/src/common/hist_util.h